/***************************************************************************
 *   Copyright (C) 2007 by Gustavo Pichorim Boiko                          *
 *   boiko@mandriva.com                                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef ACTIONPANEL_H
#define ACTIONPANEL_H

#include <panel.h>

#define ACTION_LOCK         1
#define ACTION_LOGOUT       2
#define ACTION_SWITCH_USER  4

/**
 * This panel adds a button for actions like Lock, Logout, Shutdown, and so on
 */
class ActionPanel : public Panel
{
Q_OBJECT
public:
    ActionPanel(int id, bool argb, PanelManager *parent = 0, const char *name = 0);

    ~ActionPanel();
    
    virtual QString type() const { return "Action"; }

    /* config stuff */
    virtual void readCfg(KConfig *cfg);
    
    void removeAction(int action);
    
private:
    int m_actions;
    
};

#endif
