/***************************************************************************
 *   Copyright (C) 2007 by Gustavo Pichorim Boiko                          *
 *   boiko@mandriva.com                                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "configpage.h"
#include "panel.h"
#include <kglobal.h>
#include <kiconloader.h>

ConfigPage::ConfigPage(Panel *pan, QWidget *parent, const char *name)
 : QWidget(parent, name)
{
    m_panel = pan;
}


ConfigPage::~ConfigPage()
{
}

void ConfigPage::load()
{
    // do nothing in the default implementation
}

void ConfigPage::save()
{
    //do nothing in the default implementation
}

void ConfigPage::setIcon(const QPixmap &i)
{
    m_icon = i;
}

QPixmap ConfigPage::icon() const
{
    return m_icon;
}

void ConfigPage::setTitle(const QString &t)
{
    m_title = t;
}

QString ConfigPage::title() const
{
    return m_title;
}

void ConfigPage::setDescription(const QString &d)
{
    m_description = d;
}

QString ConfigPage::description() const
{
    return m_description;
}

QPixmap ConfigPage::loadIcon(const QString & icon)
{
    return KGlobal::iconLoader()->loadIcon(icon, KIcon::Desktop);
}


#include "configpage.moc"
