/***************************************************************************
 *   Copyright (C) 2007 by Gustavo Pichorim Boiko                          *
 *   boiko@mandriva.com                                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef CONFIGPAGE_H
#define CONFIGPAGE_H

#include <qwidget.h>
#include <qpixmap.h>

class Panel;

/**
 * A Configuration page. This is a generic class and should be reimplemented
 */
class ConfigPage : public QWidget
{
Q_OBJECT
public:
    ConfigPage(Panel *pan, QWidget *parent = 0, const char *name = 0);
    ~ConfigPage();
    
    void setIcon(const QPixmap &i);
    QPixmap icon() const;
    
    void setTitle(const QString &t);
    QString title() const;
    
    void setDescription(const QString &d);
    QString description() const;
    
    virtual void load();
    virtual void save();
protected:
    Panel *m_panel;
    
    QPixmap loadIcon(const QString &icon);
    
private:
    QPixmap m_icon;
    QString m_title;
    QString m_description;
    
};

#endif
