/***************************************************************************
 *   Copyright (C) 2007 by Gustavo Pichorim Boiko                          *
 *   boiko@mandriva.com                                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "configpagegeneral.h"
#include "configgeneralbase.h"
#include "panel.h"
#include <qlayout.h>
#include <klocale.h>

/* widgets for m_ui */
#include <qlineedit.h>
#include <qcheckbox.h>
#include <kfontrequester.h>
#include <kcolorbutton.h>

ConfigPageGeneral::ConfigPageGeneral(Panel *pan, QWidget *parent, const char *name)
 : ConfigPage(pan, parent, name)
{
    QHBoxLayout *layout = new QHBoxLayout(this);
    layout->setAutoAdd(true);
    
    m_ui = new ConfigGeneralBase(this);
    setTitle(i18n("General"));
    setIcon(loadIcon("gear"));
    setDescription(i18n("General Panel Settings"));
}


ConfigPageGeneral::~ConfigPageGeneral()
{
}

void ConfigPageGeneral::load()
{
    m_ui->title->setText(m_panel->title());
    m_ui->titleFont->setFont(m_panel->titleFont());
    m_ui->itemFont->setFont(m_panel->itemFont());
    m_ui->color->setColor(m_panel->color());
    m_ui->locked->setChecked(m_panel->locked());
}

void ConfigPageGeneral::save()
{
    m_panel->setTitle(m_ui->title->text());
    m_panel->setTitleFont(m_ui->titleFont->font());
    m_panel->setItemFont(m_ui->itemFont->font());
    m_panel->setColor(m_ui->color->color());
    m_panel->setLocked(m_ui->locked->isChecked());
}


#include "configpagegeneral.moc"
