/***************************************************************************
 *   Copyright (C) 2006 by Arthur Renato Mello <renato@mandriva.com.br>    *
 *                 2006 by Gustavo Pichorim Boiko <boiko@mandriva.com>     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "dockwidget.h"

#include <dcopref.h>
#include <qpixmap.h>
#include <kpopupmenu.h>
#include <klocale.h>
#include <kconfig.h>

DockWidget::DockWidget(QWidget *parent, const char *name)
: KSystemTray(parent, name)
{
    setPixmap(loadIcon("kpanels"));
    
    KConfig cfg("kpanelsrc");
    cfg.setGroup("General");
    
    m_startup = cfg.readBoolEntry("AutoStart", true);
    m_toggleStartupIndex = contextMenu()->insertItem(
                   i18n("Start KPanels when KDE starts"));
    contextMenu()->connectItem(m_toggleStartupIndex, 
                               this, SLOT(slotToggleStartup()));
}


DockWidget::~DockWidget()
{
}

void DockWidget::mouseReleaseEvent(QMouseEvent *e)
{
    if (e->state() == Qt::LeftButton)
        showDesktop();
}

void DockWidget::showDesktop()
{
    DCOPRef ref("kicker", "kicker");
    ref.call("toggleShowDesktop");
}

void DockWidget::contextMenuAboutToShow(KPopupMenu *menu)
{
    menu->setItemChecked(m_toggleStartupIndex, m_startup);
}

void DockWidget::slotToggleStartup()
{
    m_startup = !m_startup;
    KConfig cfg("kpanelsrc");
    cfg.setGroup("General");
    cfg.writeEntry("AutoStart", m_startup);
}

#include "dockwidget.moc"
