/***************************************************************************
 *   Copyright (C) 2007 by Gustavo Pichorim Boiko                          *
 *   boiko@mandriva.com                                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "panelconfig.h"
#include "configpage.h"
#include "panel.h"
#include <qlayout.h>
#include <qframe.h>
#include <klocale.h>

PanelConfig::PanelConfig(Panel *pan, const char *name)
 : KDialogBase(IconList, i18n("Configure Panel"),
               Ok|Apply|Cancel, Ok, pan)
{
    m_panel = pan;
}


PanelConfig::~PanelConfig()
{
    for (int i = 0; i < m_pages.count(); ++i)
        delete m_pages[i];
}

void PanelConfig::addPage(ConfigPage *p)
{
    QFrame *frame;
    QHBoxLayout *layout;
    
    frame = KDialogBase::addPage(p->title(), p->description(), p->icon());
    layout = new QHBoxLayout(frame);
    layout->setAutoAdd(true);
    p->reparent(frame, QPoint());
    m_pages.append(p);
    p->load();
}

void PanelConfig::save()
{
    for (int i = 0; i < m_pages.count(); ++i)
        m_pages[i]->save();
        
    m_panel->writeConfig();
}

void PanelConfig::slotOk()
{
    save();
    close();
}

void PanelConfig::slotApply()
{
    save();
}

#include "panelconfig.moc"
