/***************************************************************************
 *   Copyright (C) 2007 by Gustavo Pichorim Boiko                          *
 *   boiko@mandriva.com                                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef PANELCONFIG_H
#define PANELCONFIG_H

#include <kdialogbase.h>

class ConfigPage;
class Panel;

/**
 * A Configuration widget for KPanels
 */
class PanelConfig : public KDialogBase
{
Q_OBJECT
public:
    PanelConfig(Panel *pan, const char *name = 0);

    ~PanelConfig();
    
    /**
     * Adds a configuration page to the dialog
     *  @param p The config page
     */
    void addPage(ConfigPage *p);
    
    /**
     * Ask all config pages to apply their settings
     */
    void save();

private slots:
    void slotOk();
    void slotApply();
    
private:
    QValueList<ConfigPage*> m_pages;
    Panel *m_panel;
};

#endif
