/***************************************************************************
 *   Copyright (C) 2007 by Gustavo Pichorim Boiko                          *
 *   boiko@mandriva.com                                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "recentitem.h"
#include <kdebug.h>
#include <kmimetype.h>
#include <kdesktopfile.h>

RecentItem::RecentItem(Panel *pan, QString doc)
 : PanelItem(pan), m_doc(doc)
{
    KDesktopFile desktop(doc);
    setText(desktop.readName());
    setIcon(desktop.readIcon());
}


RecentItem::~RecentItem()
{
}

bool RecentItem::launch(const QStringList & args)
{
    Q_UNUSED(args);
    KURL u;
    u.setPath(m_doc);
    
    KDEDesktopMimeType::run(u, true);
    return true;
}

bool RecentItem::canRemove()
{
    /* We can't remove Recent document items */
    return false;
}


#include "recentitem.moc"
