/***************************************************************************
 *   Copyright (C) 2007 by Gustavo Pichorim Boiko                          *
 *   boiko@mandriva.com                                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "recentpanel.h"
#include "recentitem.h"
#include <krecentdocument.h>
#include <kdirwatch.h>
#include <kconfig.h>

RecentPanel::RecentPanel(int id, bool argb, PanelManager *parent, const char *name)
 : Panel(id, argb, parent, name)
{
    m_entries = 10;
    
    connect(KDirWatch::self(), SIGNAL(dirty(const QString&)),
            this, SLOT(updateRecent()));
    connect(KDirWatch::self(), SIGNAL(created(const QString&)),
            this, SLOT(updateRecent()));
    connect(KDirWatch::self(), SIGNAL(deleted(const QString&)),
            this, SLOT(updateRecent()));
    KDirWatch::self()->addDir(KRecentDocument::recentDocumentDirectory());
    updateRecent();
}


RecentPanel::~RecentPanel()
{
}

void RecentPanel::readCfg(KConfig *cfg)
{
    m_entries = cfg->readNumEntry("Limit", 10);
}

void RecentPanel::updateRecent()
{
    clear(false);
    
    QStringList docs = KRecentDocument::recentDocuments();
    QStringList::iterator it = docs.begin(), end = docs.end();
    
    int i = 0;
     
    while (i < 10 && it != end)
    {
        addItem(new RecentItem(this, (*it)), false);
        ++it;
        ++i;
    }
    updateSize();
}


#include "recentpanel.moc"
