/***************************************************************************
 *   Copyright (C) 2007 by Gustavo Pichorim Boiko                          *
 *   boiko@mandriva.com                                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef SERVICEITEM_H
#define SERVICEITEM_H

#include "panelitem.h"
#include <kservice.h>

/**
 * A class that represents a Service
 */
class ServiceItem : public PanelItem
{
Q_OBJECT
public:
    ServiceItem(Panel *pan, KService::Ptr svc);

    ~ServiceItem();
    virtual bool canRemove();
    
    /* drag and drop */
    virtual bool canHandle(QDropEvent *event);
    virtual bool handleDrop(QDropEvent *event);
public slots:
    virtual void remove();
    virtual bool launch(const QStringList &args = QStringList());
    
private:
    KService::Ptr m_service;
};

#endif
