/***************************************************************************
 *   Copyright (C) 2007 by Gustavo Pichorim Boiko                          *
 *   boiko@mandriva.com                                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef SERVICEPANEL_H
#define SERVICEPANEL_H

#include "panel.h"

/**
 * A panel that list desktop files (services) to launch applications
 */
class ServicePanel : public Panel
{
Q_OBJECT
public:
    ServicePanel(int id, bool argb, PanelManager *parent = 0, const char *name = 0);
    ~ServicePanel();
    
    virtual QString type() const { return "Service"; }
    
    /* drag and drop */
    virtual bool canHandle(QDropEvent *event);
    virtual bool handleDrop(QDropEvent *event);
private slots:
    void listServices();
    
private:
    QString m_name;
//    KDirWatch *m_dirWatch;
    
};

#endif
